EnversHibernateToolTask (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.tool.ant
Class EnversHibernateToolTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.hibernate.tool.ant.HibernateToolTask
                  org.hibernate.tool.ant.EnversHibernateToolTask

All Implemented Interfaces:
  Cloneable

    public class EnversHibernateToolTask

extends org.hibernate.tool.ant.HibernateToolTask

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`EnversHibernateToolTask()`

Method Summary
`org.hibernate.tool.ant.AnnotationConfigurationTask` | `createAnnotationConfiguration()`
`org.hibernate.tool.ant.ConfigurationTask` | `createConfiguration()`
`org.hibernate.tool.ant.JPAConfigurationTask` | `createJpaConfiguration()`

Methods inherited from class org.hibernate.tool.ant.HibernateToolTask
`addConfiguredProperty, addConfiguredPropertySet, addGenerator, createClasspath, createEjb3Configuration, createHbm2CfgXml, createHbm2DAO, createHbm2DDL, createHbm2Doc, createHbm2HbmXml, createHbm2Java, createHbmLint, createHbmTemplate, createJDBCConfiguration, createQuery, execute, getConfiguration, getDestDir, getProperties, getTemplatePath, setClasspath, setDestDir, setTemplatePath`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnversHibernateToolTask

    public EnversHibernateToolTask()

Method Detail

### createJpaConfiguration

    public org.hibernate.tool.ant.JPAConfigurationTask createJpaConfiguration()

  Overrides:
    `createJpaConfiguration` in class `org.hibernate.tool.ant.HibernateToolTask`

### createConfiguration

    public org.hibernate.tool.ant.ConfigurationTask createConfiguration()

  Overrides:
    `createConfiguration` in class `org.hibernate.tool.ant.HibernateToolTask`

### createAnnotationConfiguration

    public org.hibernate.tool.ant.AnnotationConfigurationTask createAnnotationConfiguration()

  Overrides:
    `createAnnotationConfiguration` in class `org.hibernate.tool.ant.HibernateToolTask`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.